Index: serefpolicy-contrib-20140730/fetchmail.te
===================================================================
--- serefpolicy-contrib-20140730.orig/fetchmail.te
+++ serefpolicy-contrib-20140730/fetchmail.te
@@ -1,4 +1,4 @@
-policy_module(fetchmail, 1.14.0)
+policy_module(fetchmail, 1.13.2)
 
 ########################################
 #
@@ -32,14 +32,17 @@ files_type(fetchmail_uidl_cache_t)
 #
 # Local policy
 #
-
+allow fetchmail_t self:capability setuid;
 dontaudit fetchmail_t self:capability sys_tty_config;
 allow fetchmail_t self:process { signal_perms setrlimit };
 allow fetchmail_t self:unix_stream_socket { accept listen };
 
 allow fetchmail_t fetchmail_etc_t:file read_file_perms;
 
+list_dirs_pattern(fetchmail_t, fetchmail_home_t, fetchmail_home_t)
 read_files_pattern(fetchmail_t, fetchmail_home_t, fetchmail_home_t)
+userdom_search_user_home_dirs(fetchmail_t)
+userdom_search_admin_dir(fetchmail_t)
 
 manage_dirs_pattern(fetchmail_t, fetchmail_log_t, fetchmail_log_t)
 append_files_pattern(fetchmail_t, fetchmail_log_t, fetchmail_log_t)
@@ -63,7 +66,6 @@ kernel_dontaudit_read_system_state(fetch
 corecmd_exec_bin(fetchmail_t)
 corecmd_exec_shell(fetchmail_t)
 
-corenet_all_recvfrom_unlabeled(fetchmail_t)
 corenet_all_recvfrom_netlabel(fetchmail_t)
 corenet_tcp_sendrecv_generic_if(fetchmail_t)
 corenet_tcp_sendrecv_generic_node(fetchmail_t)
@@ -84,15 +86,23 @@ fs_search_auto_mountpoints(fetchmail_t)
 
 domain_use_interactive_fds(fetchmail_t)
 
-auth_use_nsswitch(fetchmail_t)
+auth_read_passwd(fetchmail_t)
 
 logging_send_syslog_msg(fetchmail_t)
 
-miscfiles_read_localization(fetchmail_t)
 miscfiles_read_generic_certs(fetchmail_t)
 
+sysnet_dns_name_resolve(fetchmail_t)
+
 userdom_dontaudit_use_unpriv_user_fds(fetchmail_t)
-userdom_search_user_home_dirs(fetchmail_t)
+
+optional_policy(`
+    mta_send_mail(fetchmail_t)
+')
+
+optional_policy(`
+	kerberos_use(fetchmail_t)
+')
 
 optional_policy(`
 	procmail_domtrans(fetchmail_t)
Index: serefpolicy-contrib-20140730/finger.fc
===================================================================
--- serefpolicy-contrib-20140730.orig/finger.fc
+++ serefpolicy-contrib-20140730/finger.fc
@@ -7,4 +7,4 @@
 
 /var/log/cfingerd\.log.*	--	gen_context(system_u:object_r:fingerd_log_t,s0)
 
-/var/run/fingerd\.pid	--	gen_context(system_u:object_r:fingerd_var_run_t,s0)
+/var/run/*.fingerd\.pid	--	gen_context(system_u:object_r:fingerd_var_run_t,s0)
Index: serefpolicy-contrib-20140730/finger.te
===================================================================
--- serefpolicy-contrib-20140730.orig/finger.te
+++ serefpolicy-contrib-20140730/finger.te
@@ -1,4 +1,4 @@
-policy_module(finger, 1.10.1)
+policy_module(finger, 1.10.0)
 
 ########################################
 #
@@ -45,7 +45,6 @@ logging_log_filetrans(fingerd_t, fingerd
 kernel_read_kernel_sysctls(fingerd_t)
 kernel_read_system_state(fingerd_t)
 
-corenet_all_recvfrom_unlabeled(fingerd_t)
 corenet_all_recvfrom_netlabel(fingerd_t)
 corenet_tcp_sendrecv_generic_if(fingerd_t)
 corenet_tcp_sendrecv_generic_node(fingerd_t)
@@ -63,6 +62,7 @@ dev_read_sysfs(fingerd_t)
 domain_use_interactive_fds(fingerd_t)
 
 files_read_etc_runtime_files(fingerd_t)
+files_search_home(fingerd_t)
 
 fs_getattr_all_fs(fingerd_t)
 fs_search_auto_mountpoints(fingerd_t)
@@ -71,6 +71,7 @@ term_getattr_all_ttys(fingerd_t)
 term_getattr_all_ptys(fingerd_t)
 
 auth_read_lastlog(fingerd_t)
+auth_use_nsswitch(fingerd_t)
 
 init_read_utmp(fingerd_t)
 init_dontaudit_write_utmp(fingerd_t)
@@ -79,7 +80,7 @@ logging_send_syslog_msg(fingerd_t)
 
 mta_getattr_spool(fingerd_t)
 
-miscfiles_read_localization(fingerd_t)
+sysnet_read_config(fingerd_t)
 
 userdom_dontaudit_use_unpriv_user_fds(fingerd_t)
 
Index: serefpolicy-contrib-20140730/firewalld.fc
===================================================================
--- serefpolicy-contrib-20140730.orig/firewalld.fc
+++ serefpolicy-contrib-20140730/firewalld.fc
@@ -1,3 +1,5 @@
+/usr/lib/systemd/system/firewalld.*  -- gen_context(system_u:object_r:firewalld_unit_file_t,s0)
+
 /etc/rc\.d/init\.d/firewalld	--	gen_context(system_u:object_r:firewalld_initrc_exec_t,s0)
 
 /etc/firewalld(/.*)?	gen_context(system_u:object_r:firewalld_etc_rw_t,s0)
Index: serefpolicy-contrib-20140730/firewalld.if
===================================================================
--- serefpolicy-contrib-20140730.orig/firewalld.if
+++ serefpolicy-contrib-20140730/firewalld.if
@@ -2,7 +2,7 @@
 
 ########################################
 ## <summary>
-##	Read firewalld configuration files.
+##	Read firewalld config
 ## </summary>
 ## <param name="domain">
 ## <summary>
@@ -10,7 +10,7 @@
 ## </summary>
 ## </param>
 #
-interface(`firewalld_read_config_files',`
+interface(`firewalld_read_config',`
 	gen_require(`
 		type firewalld_etc_rw_t;
 	')
@@ -21,6 +21,47 @@ interface(`firewalld_read_config_files',
 
 ########################################
 ## <summary>
+##	Execute firewalld server in the firewalld domain.
+## </summary>
+## <param name="domain">
+##	<summary>
+##	The type of the process performing this action.
+##	</summary>
+## </param>
+#
+interface(`firewalld_initrc_domtrans',`
+	gen_require(`
+		type firewalld_initrc_exec_t;
+	')
+
+	init_labeled_script_domtrans($1, firewalld_initrc_exec_t)
+')
+
+########################################
+## <summary>
+##	Execute firewalld server in the firewalld domain.
+## </summary>
+## <param name="domain">
+##	<summary>
+##	Domain allowed to transition.
+##	</summary>
+## </param>
+#
+interface(`firewalld_systemctl',`
+	gen_require(`
+		type firewalld_t;
+		type firewalld_unit_file_t;
+	')
+
+	systemd_exec_systemctl($1)
+	allow $1 firewalld_unit_file_t:file read_file_perms;
+	allow $1 firewalld_unit_file_t:service manage_service_perms;
+
+	ps_process_pattern($1, firewalld_t)
+')
+
+########################################
+## <summary>
 ##	Send and receive messages from
 ##	firewalld over dbus.
 ## </summary>
@@ -42,8 +83,8 @@ interface(`firewalld_dbus_chat',`
 
 ########################################
 ## <summary>
-##	Do not audit attempts to read, snd
-##	write firewalld temporary files.
+##	Dontaudit attempts to write
+##	firewalld tmp files.
 ## </summary>
 ## <param name="domain">
 ##	<summary>
@@ -51,18 +92,18 @@ interface(`firewalld_dbus_chat',`
 ##	</summary>
 ## </param>
 #
-interface(`firewalld_dontaudit_rw_tmp_files',`
+interface(`firewalld_dontaudit_write_tmp_files',`
 	gen_require(`
 		type firewalld_tmp_t;
 	')
 
-	dontaudit $1 firewalld_tmp_t:file { read write };
+	dontaudit $1 firewalld_tmp_t:file write;
 ')
 
 ########################################
 ## <summary>
-##	All of the rules required to
-##	administrate an firewalld environment.
+##	All of the rules required to administrate
+##	an firewalld environment
 ## </summary>
 ## <param name="domain">
 ##	<summary>
@@ -79,14 +120,18 @@ interface(`firewalld_dontaudit_rw_tmp_fi
 interface(`firewalld_admin',`
 	gen_require(`
 		type firewalld_t, firewalld_initrc_exec_t;
-		type firewall_etc_rw_t, firewalld_var_run_t;
+		type firewalld_etc_rw_t, firewalld_var_run_t;
 		type firewalld_var_log_t;
 	')
 
-	allow $1 firewalld_t:process { ptrace signal_perms };
+	allow $1 firewalld_t:process signal_perms;
 	ps_process_pattern($1, firewalld_t)
 
-	init_labeled_script_domtrans($1, firewalld_initrc_exec_t)
+	tunable_policy(`deny_ptrace',`',`
+		allow $1 firewalld_t:process ptrace;
+	')
+
+	firewalld_initrc_domtrans($1)
 	domain_system_change_exemption($1)
 	role_transition $2 firewalld_initrc_exec_t system_r;
 	allow $2 system_r;
@@ -97,6 +142,9 @@ interface(`firewalld_admin',`
 	logging_search_logs($1)
 	admin_pattern($1, firewalld_var_log_t)
 
-	files_search_etc($1)
-	admin_pattern($1, firewall_etc_rw_t)
+	admin_pattern($1, firewalld_etc_rw_t)
+
+	admin_pattern($1, firewalld_unit_file_t)
+	firewalld_systemctl($1)
+	allow $1 firewalld_unit_file_t:service all_service_perms;
 ')
Index: serefpolicy-contrib-20140730/firewalld.te
===================================================================
--- serefpolicy-contrib-20140730.orig/firewalld.te
+++ serefpolicy-contrib-20140730/firewalld.te
@@ -1,4 +1,4 @@
-policy_module(firewalld, 1.2.0)
+policy_module(firewalld, 1.1.1)
 
 ########################################
 #
@@ -21,9 +21,15 @@ logging_log_file(firewalld_var_log_t)
 type firewalld_tmp_t;
 files_tmp_file(firewalld_tmp_t)
 
+type firewalld_tmpfs_t;
+files_tmpfs_file(firewalld_tmpfs_t)
+
 type firewalld_var_run_t;
 files_pid_file(firewalld_var_run_t)
 
+type firewalld_unit_file_t;
+systemd_unit_file(firewalld_unit_file_t)
+
 ########################################
 #
 # Local policy
@@ -37,6 +43,7 @@ allow firewalld_t self:udp_socket create
 
 manage_dirs_pattern(firewalld_t, firewalld_etc_rw_t, firewalld_etc_rw_t)
 manage_files_pattern(firewalld_t, firewalld_etc_rw_t, firewalld_etc_rw_t)
+manage_lnk_files_pattern(firewalld_t, firewalld_etc_rw_t, firewalld_etc_rw_t)
 
 allow firewalld_t firewalld_var_log_t:file append_file_perms;
 allow firewalld_t firewalld_var_log_t:file create_file_perms;
@@ -48,8 +55,13 @@ manage_files_pattern(firewalld_t, firewa
 files_tmp_filetrans(firewalld_t, firewalld_tmp_t, file)
 allow firewalld_t firewalld_tmp_t:file mmap_file_perms;
 
+manage_files_pattern(firewalld_t, firewalld_tmpfs_t, firewalld_tmpfs_t)
+fs_tmpfs_filetrans(firewalld_t, firewalld_tmpfs_t, file)
+allow firewalld_t firewalld_tmpfs_t:file mmap_file_perms;
+
 manage_files_pattern(firewalld_t, firewalld_var_run_t, firewalld_var_run_t)
 files_pid_filetrans(firewalld_t, firewalld_var_run_t, file)
+can_exec(firewalld_t, firewalld_var_run_t)
 
 kernel_read_network_state(firewalld_t)
 kernel_read_system_state(firewalld_t)
@@ -63,20 +75,17 @@ dev_search_sysfs(firewalld_t)
 
 domain_use_interactive_fds(firewalld_t)
 
-files_read_etc_files(firewalld_t)
-files_read_usr_files(firewalld_t)
+files_dontaudit_access_check_tmp(firewalld_t)
 files_dontaudit_list_tmp(firewalld_t)
 
 fs_getattr_xattr_fs(firewalld_t)
+fs_dontaudit_all_access_check(firewalld_t)
 
-logging_send_syslog_msg(firewalld_t)
-
-miscfiles_read_localization(firewalld_t)
+auth_use_nsswitch(firewalld_t)
 
-seutil_exec_setfiles(firewalld_t)
-seutil_read_file_contexts(firewalld_t)
+logging_send_syslog_msg(firewalld_t)
 
-sysnet_read_config(firewalld_t)
+sysnet_dns_name_resolve(firewalld_t)
 
 optional_policy(`
 	dbus_system_domain(firewalld_t, firewalld_exec_t)
@@ -95,6 +104,10 @@ optional_policy(`
 ')
 
 optional_policy(`
+	gnome_read_generic_data_home_dirs(firewalld_t)
+')
+
+optional_policy(`
 	iptables_domtrans(firewalld_t)
 ')
 
Index: serefpolicy-contrib-20140730/firewallgui.if
===================================================================
--- serefpolicy-contrib-20140730.orig/firewallgui.if
+++ serefpolicy-contrib-20140730/firewallgui.if
@@ -37,5 +37,5 @@ interface(`firewallgui_dontaudit_rw_pipe
 		type firewallgui_t;
 	')
 
-	dontaudit $1 firewallgui_t:fifo_file rw_fifo_file_perms;
+	dontaudit $1 firewallgui_t:fifo_file rw_inherited_fifo_file_perms;
 ')
Index: serefpolicy-contrib-20140730/firewallgui.te
===================================================================
--- serefpolicy-contrib-20140730.orig/firewallgui.te
+++ serefpolicy-contrib-20140730/firewallgui.te
@@ -36,8 +36,10 @@ corecmd_exec_shell(firewallgui_t)
 dev_read_sysfs(firewallgui_t)
 dev_read_urand(firewallgui_t)
 
+files_manage_system_conf_files(firewallgui_t)
+files_etc_filetrans_system_conf(firewallgui_t)
+files_search_kernel_modules(firewallgui_t)
 files_list_kernel_modules(firewallgui_t)
-files_read_usr_files(firewallgui_t)
 
 auth_use_nsswitch(firewallgui_t)
 
@@ -60,12 +62,13 @@ optional_policy(`
 ')
 
 optional_policy(`
-	gnome_read_generic_gconf_home_content(firewallgui_t)
+	gnome_read_gconf_home_files(firewallgui_t)
 ')
 
 optional_policy(`
 	iptables_domtrans(firewallgui_t)
 	iptables_initrc_domtrans(firewallgui_t)
+	iptables_systemctl(firewallgui_t)
 ')
 
 optional_policy(`
Index: serefpolicy-contrib-20140730/firstboot.fc
===================================================================
--- serefpolicy-contrib-20140730.orig/firstboot.fc
+++ serefpolicy-contrib-20140730/firstboot.fc
@@ -1,5 +1,3 @@
-/etc/rc\.d/init\.d/firstboot.*	--	gen_context(system_u:object_r:firstboot_initrc_exec_t,s0)
+/usr/sbin/firstboot		--	gen_context(system_u:object_r:firstboot_exec_t,s0)
 
-/usr/sbin/firstboot	--	gen_context(system_u:object_r:firstboot_exec_t,s0)
-
-/usr/share/firstboot/firstboot\.py	--	gen_context(system_u:object_r:firstboot_exec_t,s0)
+/usr/share/firstboot/firstboot\.py --	gen_context(system_u:object_r:firstboot_exec_t,s0)
Index: serefpolicy-contrib-20140730/firstboot.if
===================================================================
--- serefpolicy-contrib-20140730.orig/firstboot.if
+++ serefpolicy-contrib-20140730/firstboot.if
@@ -1,4 +1,7 @@
-## <summary>Initial system configuration utility.</summary>
+## <summary>
+##	Final system configuration run during the first boot
+##	after installation of Red Hat/Fedora systems.
+## </summary>
 
 ########################################
 ## <summary>
@@ -15,15 +18,13 @@ interface(`firstboot_domtrans',`
 		type firstboot_t, firstboot_exec_t;
 	')
 
-	corecmd_search_bin($1)
 	domtrans_pattern($1, firstboot_exec_t, firstboot_t)
 ')
 
 ########################################
 ## <summary>
-##	Execute firstboot in the firstboot
-##	domain, and allow the specified role
-##	the firstboot domain.
+##	Execute firstboot in the firstboot domain, and
+##	allow the specified role the firstboot domain.
 ## </summary>
 ## <param name="domain">
 ##	<summary>
@@ -38,16 +39,16 @@ interface(`firstboot_domtrans',`
 #
 interface(`firstboot_run',`
 	gen_require(`
-		attribute_role firstboot_roles;
+		type firstboot_t;
 	')
 
 	firstboot_domtrans($1)
-	roleattribute $2 firstboot_roles;
+	role $2 types firstboot_t;
 ')
 
 ########################################
 ## <summary>
-##	Inherit and use firstboot file descriptors.
+##	Inherit and use a file descriptor from firstboot.
 ## </summary>
 ## <param name="domain">
 ##	<summary>
@@ -65,8 +66,8 @@ interface(`firstboot_use_fds',`
 
 ########################################
 ## <summary>
-##	Do not audit attempts to inherit
-##	firstboot file descriptors.
+##	Do not audit attempts to inherit a
+##	file descriptor from firstboot.
 ## </summary>
 ## <param name="domain">
 ##	<summary>
@@ -84,7 +85,26 @@ interface(`firstboot_dontaudit_use_fds',
 
 ########################################
 ## <summary>
-##	Write firstboot unnamed pipes.
+##	dontaudit read and write an leaked file descriptors
+## </summary>
+## <param name="domain">
+##	<summary>
+##	Domain to not audit.
+##	</summary>
+## </param>
+#
+interface(`firstboot_dontaudit_leaks',`
+	gen_require(`
+		type firstboot_t;
+	')
+
+	dontaudit $1 firstboot_t:socket_class_set { read write };
+	dontaudit $1 firstboot_t:fifo_file rw_inherited_fifo_file_perms;
+')
+
+########################################
+## <summary>
+##	Write to a firstboot unnamed pipe.
 ## </summary>
 ## <param name="domain">
 ##	<summary>
@@ -97,12 +117,13 @@ interface(`firstboot_write_pipes',`
 		type firstboot_t;
 	')
 
+	allow $1 firstboot_t:fd use;
 	allow $1 firstboot_t:fifo_file write;
 ')
 
 ########################################
 ## <summary>
-##	Read and Write firstboot unnamed pipes.
+##	Read and Write to a firstboot unnamed pipe.
 ## </summary>
 ## <param name="domain">
 ##	<summary>
@@ -120,8 +141,7 @@ interface(`firstboot_rw_pipes',`
 
 ########################################
 ## <summary>
-## 	Do not audit attemps to read and
-##	write firstboot unnamed pipes.
+## 	Do not audit attemps to read and write to a firstboot unnamed pipe.
 ## </summary>
 ## <param name="domain">
 ##	<summary>
@@ -139,9 +159,8 @@ interface(`firstboot_dontaudit_rw_pipes'
 
 ########################################
 ## <summary>
-## 	Do not audit attemps to read and
-##	write firstboot unix domain
-##	stream sockets.
+## 	Do not audit attemps to read and write to a firstboot
+##	unix domain stream socket.
 ## </summary>
 ## <param name="domain">
 ##	<summary>
Index: serefpolicy-contrib-20140730/firstboot.te
===================================================================
--- serefpolicy-contrib-20140730.orig/firstboot.te
+++ serefpolicy-contrib-20140730/firstboot.te
@@ -1,7 +1,7 @@
 policy_module(firstboot, 1.13.0)
 
 gen_require(`
-	class passwd { passwd chfn chsh rootok };
+	class passwd { passwd chfn chsh rootok crontab };
 ')
 
 ########################################
@@ -9,17 +9,12 @@ gen_require(`
 # Declarations
 #
 
-attribute_role firstboot_roles;
-
 type firstboot_t;
 type firstboot_exec_t;
 init_system_domain(firstboot_t, firstboot_exec_t)
 domain_obj_id_change_exemption(firstboot_t)
 domain_subj_id_change_exemption(firstboot_t)
-role firstboot_roles types firstboot_t;
-
-type firstboot_initrc_exec_t;
-init_script_file(firstboot_initrc_exec_t)
+role system_r types firstboot_t;
 
 type firstboot_etc_t;
 files_config_file(firstboot_etc_t)
@@ -32,28 +27,25 @@ files_config_file(firstboot_etc_t)
 allow firstboot_t self:capability { dac_override setgid };
 allow firstboot_t self:process setfscreate;
 allow firstboot_t self:fifo_file rw_fifo_file_perms;
-allow firstboot_t self:tcp_socket { accept listen };
+allow firstboot_t self:tcp_socket create_stream_socket_perms;
+allow firstboot_t self:unix_stream_socket { connect create };
 allow firstboot_t self:passwd { rootok passwd chfn chsh };
 
 allow firstboot_t firstboot_etc_t:file read_file_perms;
 
+files_manage_generic_tmp_dirs(firstboot_t)
+files_manage_generic_tmp_files(firstboot_t)
+
 kernel_read_system_state(firstboot_t)
 kernel_read_kernel_sysctls(firstboot_t)
 
-corecmd_exec_all_executables(firstboot_t)
+corenet_all_recvfrom_netlabel(firstboot_t)
+corenet_tcp_sendrecv_generic_if(firstboot_t)
+corenet_tcp_sendrecv_generic_node(firstboot_t)
+corenet_tcp_sendrecv_all_ports(firstboot_t)
 
 dev_read_urand(firstboot_t)
 
-files_exec_etc_files(firstboot_t)
-files_manage_etc_files(firstboot_t)
-files_manage_etc_runtime_files(firstboot_t)
-files_read_usr_files(firstboot_t)
-files_manage_var_dirs(firstboot_t)
-files_manage_var_files(firstboot_t)
-files_manage_var_symlinks(firstboot_t)
-files_create_boot_flag(firstboot_t)
-files_delete_boot_flag(firstboot_t)
-
 selinux_get_fs_mount(firstboot_t)
 selinux_validate_context(firstboot_t)
 selinux_compute_access_vector(firstboot_t)
@@ -63,6 +55,17 @@ selinux_compute_user_contexts(firstboot_
 
 auth_dontaudit_getattr_shadow(firstboot_t)
 
+corecmd_exec_all_executables(firstboot_t)
+
+files_exec_etc_files(firstboot_t)
+files_manage_etc_files(firstboot_t)
+files_manage_etc_runtime_files(firstboot_t)
+files_manage_var_dirs(firstboot_t)
+files_manage_var_files(firstboot_t)
+files_manage_var_symlinks(firstboot_t)
+files_create_boot_flag(firstboot_t)
+files_delete_boot_flag(firstboot_t)
+
 init_domtrans_script(firstboot_t)
 init_rw_utmp(firstboot_t)
 
@@ -73,18 +76,18 @@ locallogin_use_fds(firstboot_t)
 
 logging_send_syslog_msg(firstboot_t)
 
-miscfiles_read_localization(firstboot_t)
-
 sysnet_dns_name_resolve(firstboot_t)
 
-userdom_use_user_terminals(firstboot_t)
+userdom_use_inherited_user_terminals(firstboot_t)
+
+# Add/remove user home directories
 userdom_manage_user_home_content_dirs(firstboot_t)
 userdom_manage_user_home_content_files(firstboot_t)
 userdom_manage_user_home_content_symlinks(firstboot_t)
 userdom_manage_user_home_content_pipes(firstboot_t)
 userdom_manage_user_home_content_sockets(firstboot_t)
 userdom_home_filetrans_user_home_dir(firstboot_t)
-userdom_user_home_dir_filetrans_user_home_content(firstboot_t, { dir file lnk_file fifo_file sock_file })
+userdom_filetrans_home_content(firstboot_t)
 
 optional_policy(`
 	dbus_system_bus_client(firstboot_t)
@@ -102,20 +105,17 @@ optional_policy(`
 ')
 
 optional_policy(`
-	nis_use_ypbind(firstboot_t)
-')
-
-optional_policy(`
 	samba_rw_config(firstboot_t)
 ')
 
 optional_policy(`
-	unconfined_domtrans(firstboot_t)
-	unconfined_domain(firstboot_t)
+	# The big hammer
+	unconfined_domain_noaudit(firstboot_t)
 ')
 
 optional_policy(`
-	gnome_manage_generic_home_content(firstboot_t)
+	gnome_admin_home_gconf_filetrans(firstboot_t, dir)
+	gnome_manage_config(firstboot_t)
 ')
 
 optional_policy(`
Index: serefpolicy-contrib-20140730/fprintd.te
===================================================================
--- serefpolicy-contrib-20140730.orig/fprintd.te
+++ serefpolicy-contrib-20140730/fprintd.te
@@ -20,6 +20,8 @@ files_type(fprintd_var_lib_t)
 allow fprintd_t self:capability sys_nice;
 allow fprintd_t self:process { getsched setsched signal sigkill };
 allow fprintd_t self:fifo_file rw_fifo_file_perms;
+allow fprintd_t self:netlink_kobject_uevent_socket create_socket_perms;
+allow fprintd_t self:unix_dgram_socket { create_socket_perms sendto };
 
 manage_dirs_pattern(fprintd_t, fprintd_var_lib_t, fprintd_var_lib_t)
 manage_files_pattern(fprintd_t, fprintd_var_lib_t, fprintd_var_lib_t)
@@ -28,15 +30,14 @@ kernel_read_system_state(fprintd_t)
 
 dev_list_usbfs(fprintd_t)
 dev_read_sysfs(fprintd_t)
+dev_read_urand(fprintd_t)
 dev_rw_generic_usb_dev(fprintd_t)
 
-files_read_usr_files(fprintd_t)
-
 fs_getattr_all_fs(fprintd_t)
 
 auth_use_nsswitch(fprintd_t)
 
-miscfiles_read_localization(fprintd_t)
+logging_send_syslog_msg(fprintd_t)
 
 userdom_use_user_ptys(fprintd_t)
 userdom_read_all_users_state(fprintd_t)
@@ -54,8 +55,17 @@ optional_policy(`
 	')
 ')
 
+
 optional_policy(`
-	policykit_domtrans_auth(fprintd_t)
 	policykit_read_reload(fprintd_t)
 	policykit_read_lib(fprintd_t)
+	policykit_domtrans_auth(fprintd_t)
+')
+
+optional_policy(`
+	udev_read_db(fprintd_t)
+')
+
+optional_policy(`
+	xserver_read_state_xdm(fprintd_t)
 ')
Index: serefpolicy-contrib-20140730/freeipmi.fc
===================================================================
--- /dev/null
+++ serefpolicy-contrib-20140730/freeipmi.fc
@@ -0,0 +1,17 @@
+/usr/lib/systemd/system/bmc-watchdog.*		--	gen_context(system_u:object_r:freeipmi_bmc_watchdog_unit_file_t,s0)
+/usr/lib/systemd/system/ipmidetectd.*		--	gen_context(system_u:object_r:freeipmi_ipmidetectd_unit_file_t,s0)
+/usr/lib/systemd/system/ipmiseld.*        --  gen_context(system_u:object_r:freeipmi_ipmiseld_unit_file_t,s0)
+
+/usr/sbin/bmc-watchdog		--	gen_context(system_u:object_r:freeipmi_bmc_watchdog_exec_t,s0)
+/usr/sbin/ipmidetectd			--	gen_context(system_u:object_r:freeipmi_ipmidetectd_exec_t,s0)
+/usr/sbin/ipmiseld		--	gen_context(system_u:object_r:freeipmi_ipmiseld_exec_t,s0)
+
+/var/cache/ipmiseld(/.*)?       			gen_context(system_u:object_r:freeipmi_var_cache_t,s0)
+/var/cache/ipmimonitoringsdrcache(/.*)?		gen_context(system_u:object_r:freeipmi_var_cache_t,s0)
+
+/var/lib/freeipmi(/.*)?     gen_context(system_u:object_r:freeipmi_var_lib_t,s0)
+
+
+/var/run/ipmidetectd\.pid	--	gen_context(system_u:object_r:freeipmi_ipmidetectd_var_run_t,s0)
+/var/run/ipmiseld\.pid	--	gen_context(system_u:object_r:freeipmi_ipmiseld_var_run_t,s0)
+/var/run/bmc-watchdog\.pid	--	gen_context(system_u:object_r:freeipmi_bmc_watchdog_var_run_t,s0)
Index: serefpolicy-contrib-20140730/freeipmi.if
===================================================================
--- /dev/null
+++ serefpolicy-contrib-20140730/freeipmi.if
@@ -0,0 +1,71 @@
+## <summary>Remote-Console (out-of-band) and System Management Software (in-band) based on Intelligent Platform Management Interface specification</summary>
+
+#####################################
+## <summary>
+##  Creates types and rules for a basic
+##  freeipmi init daemon domain.
+## </summary>
+## <param name="prefix">
+##  <summary>
+##  Prefix for the domain.
+##  </summary>
+## </param>
+#
+template(`freeipmi_domain_template',`
+    gen_require(`
+        attribute freeipmi_domain, freeipmi_pid;
+    ')
+
+    #############################
+    #
+    # Declarations
+    #
+
+    type freeipmi_$1_t, freeipmi_domain;
+    type freeipmi_$1_exec_t;
+    init_daemon_domain(freeipmi_$1_t, freeipmi_$1_exec_t)
+    role system_r types freeipmi_$1_t;
+
+	type freeipmi_$1_unit_file_t;
+	systemd_unit_file(freeipmi_$1_unit_file_t)
+
+	type freeipmi_$1_var_run_t, freeipmi_pid;
+	files_pid_file(freeipmi_$1_var_run_t)
+
+    #############################
+    #
+    # Local policy
+    #
+
+	manage_files_pattern(freeipmi_$1_t, freeipmi_$1_var_run_t, freeipmi_$1_var_run_t)
+
+	kernel_read_system_state(freeipmi_$1_t)
+
+	corenet_all_recvfrom_netlabel(freeipmi_$1_t)
+	corenet_all_recvfrom_unlabeled(freeipmi_$1_t)
+
+    auth_use_nsswitch(freeipmi_$1_t)
+
+    logging_send_syslog_msg(freeipmi_$1_t)
+')
+
+####################################
+## <summary>
+##	Connect to cluster domains over a unix domain
+##	stream socket.
+## </summary>
+## <param name="domain">
+##	<summary>
+##	Domain allowed access.
+##	</summary>
+## </param>
+#
+interface(`freeipmi_stream_connect',`
+	gen_require(`
+		attribute freeipmi_domain, freeipmi_pid;
+	')
+
+	files_search_pids($1)
+	stream_connect_pattern($1, freeipmi_pid, freeipmi_pid, freeipmi_domain)
+')
+
Index: serefpolicy-contrib-20140730/freeipmi.te
===================================================================
--- /dev/null
+++ serefpolicy-contrib-20140730/freeipmi.te
@@ -0,0 +1,73 @@
+policy_module(freeipmi, 1.0.0)
+
+########################################
+#
+# Declarations
+#
+
+attribute freeipmi_domain;
+attribute freeipmi_pid;
+
+freeipmi_domain_template(ipmidetectd)
+freeipmi_domain_template(ipmiseld)
+freeipmi_domain_template(bmc_watchdog)
+
+type freeipmi_var_lib_t;
+files_type(freeipmi_var_lib_t)
+
+type freeipmi_var_cache_t;
+files_type(freeipmi_var_cache_t)
+
+########################################
+#
+# freeipmi_domain local policy
+#
+
+allow freeipmi_domain self:fifo_file rw_fifo_file_perms;
+allow freeipmi_domain self:unix_stream_socket create_stream_socket_perms;
+allow freeipmi_domain self:sem create_sem_perms;
+
+manage_dirs_pattern(freeipmi_domain, freeipmi_var_cache_t, freeipmi_var_cache_t)
+manage_files_pattern(freeipmi_domain, freeipmi_var_cache_t, freeipmi_var_cache_t)
+manage_lnk_files_pattern(freeipmi_domain, freeipmi_var_cache_t, freeipmi_var_cache_t)
+files_var_filetrans(freeipmi_domain, freeipmi_var_cache_t, { dir })
+
+manage_dirs_pattern(freeipmi_domain, freeipmi_var_lib_t, freeipmi_var_lib_t)
+manage_files_pattern(freeipmi_domain, freeipmi_var_lib_t, freeipmi_var_lib_t)
+manage_lnk_files_pattern(freeipmi_domain, freeipmi_var_lib_t, freeipmi_var_lib_t)
+files_var_lib_filetrans(freeipmi_domain, freeipmi_var_lib_t, { dir })
+
+dev_read_rand(freeipmi_domain)
+dev_read_urand(freeipmi_domain)
+dev_rw_ipmi_dev(freeipmi_domain)
+
+sysnet_dns_name_resolve(freeipmi_domain)
+
+#######################################
+#
+# bmc-watchdog local policy
+#
+
+files_pid_filetrans(freeipmi_bmc_watchdog_t, freeipmi_bmc_watchdog_var_run_t, file, "bmc-watchdog.pid")
+
+dev_read_raw_memory(freeipmi_bmc_watchdog_t)
+
+#######################################
+#
+# ipmidetectd local policy
+#
+
+files_pid_filetrans(freeipmi_ipmidetectd_t, freeipmi_ipmidetectd_var_run_t, file, "ipmidetectd.pid")
+
+corenet_tcp_bind_freeipmi_port(freeipmi_ipmidetectd_t)
+
+#######################################
+#
+# ipmiseld local policy
+#
+
+allow freeipmi_ipmiseld_t self:capability sys_rawio;
+
+allow freeipmi_ipmiseld_t freeipmi_bmc_watchdog_t:sem rw_sem_perms;
+
+files_pid_filetrans(freeipmi_ipmiseld_t, freeipmi_ipmiseld_var_run_t, file, "ipmiseld.pid")
Index: serefpolicy-contrib-20140730/freqset.fc
===================================================================
--- /dev/null
+++ serefpolicy-contrib-20140730/freqset.fc
@@ -0,0 +1 @@
+/usr/lib/enlightenment/modules/cpufreq/linux-gnu-[^/]*/freqset		--	gen_context(system_u:object_r:freqset_exec_t,s0)
Index: serefpolicy-contrib-20140730/freqset.if
===================================================================
--- /dev/null
+++ serefpolicy-contrib-20140730/freqset.if
@@ -0,0 +1,76 @@
+
+## <summary>policy for freqset</summary>
+
+########################################
+## <summary>
+##	Execute TEMPLATE in the freqset domin.
+## </summary>
+## <param name="domain">
+## <summary>
+##	Domain allowed to transition.
+## </summary>
+## </param>
+#
+interface(`freqset_domtrans',`
+	gen_require(`
+		type freqset_t, freqset_exec_t;
+	')
+
+	corecmd_search_bin($1)
+	domtrans_pattern($1, freqset_exec_t, freqset_t)
+')
+
+########################################
+## <summary>
+##	Execute freqset in the freqset domain, and
+##	allow the specified role the freqset domain.
+## </summary>
+## <param name="domain">
+##	<summary>
+##	Domain allowed to transition
+##	</summary>
+## </param>
+## <param name="role">
+##	<summary>
+##	The role to be allowed the freqset domain.
+##	</summary>
+## </param>
+#
+interface(`freqset_run',`
+	gen_require(`
+		type freqset_t;
+		attribute_role freqset_roles;
+	')
+
+	freqset_domtrans($1)
+	roleattribute $2 freqset_roles;
+')
+
+########################################
+## <summary>
+##	Role access for freqset
+## </summary>
+## <param name="role">
+##	<summary>
+##	Role allowed access
+##	</summary>
+## </param>
+## <param name="domain">
+##	<summary>
+##	User domain for the role
+##	</summary>
+## </param>
+#
+interface(`freqset_role',`
+	gen_require(`
+		type freqset_t;
+		attribute_role freqset_roles;
+	')
+
+	roleattribute $1 freqset_roles;
+
+	freqset_domtrans($2)
+
+	ps_process_pattern($2, freqset_t)
+	allow $2 freqset_t:process { signull signal sigkill };
+')
Index: serefpolicy-contrib-20140730/freqset.te
===================================================================
--- /dev/null
+++ serefpolicy-contrib-20140730/freqset.te
@@ -0,0 +1,34 @@
+policy_module(freqset, 1.0.0)
+
+########################################
+#
+# Declarations
+#
+
+attribute_role freqset_roles;
+roleattribute system_r freqset_roles;
+
+type freqset_t;
+type freqset_exec_t;
+application_domain(freqset_t, freqset_exec_t)
+
+role freqset_roles types freqset_t;
+
+########################################
+#
+# freqset local policy
+#
+allow freqset_t self:capability { setuid };
+
+allow freqset_t self:fifo_file manage_fifo_file_perms;
+allow freqset_t self:unix_stream_socket create_stream_socket_perms;
+
+dev_rw_sysfs(freqset_t)
+
+domain_use_interactive_fds(freqset_t)
+
+files_read_etc_files(freqset_t)
+
+miscfiles_read_localization(freqset_t)
+
+userdom_use_inherited_user_terminals(freqset_t)
Index: serefpolicy-contrib-20140730/ftp.fc
===================================================================
--- serefpolicy-contrib-20140730.orig/ftp.fc
+++ serefpolicy-contrib-20140730/ftp.fc
@@ -1,5 +1,8 @@
 /etc/proftpd\.conf	--	gen_context(system_u:object_r:ftpd_etc_t,s0)
 
+/usr/lib/systemd/system/vsftpd.* 	--	gen_context(system_u:object_r:iptables_unit_file_t,s0)
+/usr/lib/systemd/system/proftpd.*	--	gen_context(system_u:object_r:iptables_unit_file_t,s0)
+
 /etc/cron\.monthly/proftpd	--	gen_context(system_u:object_r:ftpd_exec_t,s0)
 
 /etc/rc\.d/init\.d/vsftpd	--	gen_context(system_u:object_r:ftpd_initrc_exec_t,s0)
@@ -19,7 +22,7 @@
 
 /usr/libexec/webmin/vsftpd/webalizer/xfer_log	--	gen_context(system_u:object_r:xferlog_t,s0)
 
-/var/lock/subsys/.*ftpd	--	gen_context(system_u:object_r:ftpd_lock_t,s0)
+/var/lock/subsys/*.ftpd	--	gen_context(system_u:object_r:ftpd_lock_t,s0)
 
 /var/log/muddleftpd\.log.*	--	gen_context(system_u:object_r:xferlog_t,s0)
 /var/log/proftpd(/.*)?	gen_context(system_u:object_r:xferlog_t,s0)
